Name: smirc
Version: 0.70
Release: 1
Group: X11/Applications
Source: smirc-0.70.tar.gz
Requires: smirc-common
Copyright: GPL
Summary: SmIRC binaries dynamically linked with Motif
Packager: Sam Varshavchik <mrsam@geocities.com>
BuildRoot: /tmp/smirc-build

%description
Installing this package installs the SmIRC binary that
is dynamically linked with Motif 2.1.  You must have
Motif 2.1 installed in order to use this package.

See the smirc-common package for a complete description of
SmIRC.

%package common
Summary: SmIRC files common to both the static and the dynamic versions.
Group: X11/Applications
Copyright: GPL
%description common

SmIRC is an X11R6 IRC client, based on the Motif widget set.
This release has most of the functionality expected from an
IRC client.  Only DCC is missing. Everything else usually
expected from an IRC client is included. The interface is
designed to be simple, short, and sweet. SmIRC's look and
feel is highly customizable, via its resource file. All
output can be customized with your favorite fonts and
colors.
 
Runtime help pages are provided in an HTML format. You
will need an HTML browser (lynx is fine) to read them.

This package installs files shared by smirc and
smirc-static packages.  After installing this package
you must install either smirc, or smirc-static package.

The smirc package contains the smirc program dynamically
linked with Motif 2.1 libraries.  Install the smirc RPM
if you already have Motif 2.1 installed.  The smirc-static
package contains the smirc program statically linked with
Motif 2.1 libraries.  Install the smirc-static RPM if you
do not have Motif 2.1 installed.

%package static
Summary: SmIRC binaries statically linked with Motif
Group: X11/Applications
Requires: smirc-common
Copyright: GPL
%description static
Installing this package installs the SmIRC binary that
is statically linked with the Motif 2.1 library.  You can
install this package in order to run SmIRC, without needing
Motif.

See the smirc-common package for a complete description of
SmIRC.
%prep
%setup
./configure --with-static
make smirc.wmconfig
%build
make
%install
make install-smirc-strip DESTDIR=${RPM_BUILD_ROOT}
test -d ${RPM_BUILD_ROOT}/etc/X11/wmconfig || mkdir -p ${RPM_BUILD_ROOT}/etc/X11/wmconfig
cp smirc.wmconfig ${RPM_BUILD_ROOT}/etc/X11/wmconfig/smirc
test -d ${RPM_BUILD_ROOT}/usr/share/gnome/apps/Internet || mkdir -p ${RPM_BUILD_ROOT}/usr/share/gnome/apps/Internet
cp smirc.gnomedesktop ${RPM_BUILD_ROOT}/usr/share/gnome/apps/Internet/smirc.desktop
%files
%attr(555, bin, bin) /usr/local/bin/smirc-dynamic
%files static
%attr(555, bin, bin) /usr/local/bin/smirc-static

%files common
%attr(644, bin, bin) %doc README.txt PGPKEY.txt COPYING
%attr(555, bin, bin) /usr/local/bin/smirc
%attr(644, bin, bin) %config /usr/X11R6/lib/X11/app-defaults/Smirc
%attr(444, bin, bin) %config /usr/share/gnome/apps/Internet/smirc.desktop
%attr(755, bin, bin) %dir /usr/local/share/smirc
%attr(755, bin, bin) %dir /usr/local/share/smirc/help
%attr(755, bin, bin) %dir /usr/local/share/smirc/samples
%attr(755, bin, bin) %dir /usr/local/share/smirc/sound
%attr(644, bin, bin) %config /usr/local/share/smirc/config
%attr(644, bin, bin) /usr/local/man/man1/smirc.1.gz

%attr(444, bin, bin) /etc/X11/wmconfig/smirc
%attr(444, bin, bin) /usr/local/share/smirc/help/autoplay.html
%attr(444, bin, bin) /usr/local/share/smirc/help/bots.html
%attr(444, bin, bin) /usr/local/share/smirc/help/commands.html
%attr(444, bin, bin) /usr/local/share/smirc/help/connect.gif
%attr(444, bin, bin) /usr/local/share/smirc/help/connect.html
%attr(444, bin, bin) /usr/local/share/smirc/help/cwind.gif
%attr(444, bin, bin) /usr/local/share/smirc/help/index.html
%attr(444, bin, bin) /usr/local/share/smirc/help/info.gif
%attr(444, bin, bin) /usr/local/share/smirc/help/intro.html
%attr(444, bin, bin) /usr/local/share/smirc/help/listing.gif
%attr(444, bin, bin) /usr/local/share/smirc/help/menus.html
%attr(444, bin, bin) /usr/local/share/smirc/help/swind.gif
%attr(444, bin, bin) /usr/local/share/smirc/help/windows.html

%attr(555, bin, bin) /usr/local/share/smirc/samples/awaybot.bot
%attr(555, bin, bin) /usr/local/share/smirc/samples/beer.bot
%attr(555, bin, bin) /usr/local/share/smirc/samples/greetings.bot
%attr(555, bin, bin) /usr/local/share/smirc/samples/joinleave.bot
%attr(555, bin, bin) /usr/local/share/smirc/samples/pingbot.bot
%attr(555, bin, bin) /usr/local/share/smirc/samples/rejoin.bot
%attr(555, bin, bin) /usr/local/share/smirc/samples/sound.bot
%attr(555, bin, bin) /usr/local/share/smirc/samples/seticon.bot
%attr(555, bin, bin) /usr/local/share/smirc/samples/startup.bot
%attr(555, bin, bin) /usr/local/share/smirc/samples/tempban.bot

%attr(444, bin, bin) /usr/local/share/smirc/sound/aaaaagh.wav
%attr(444, bin, bin) /usr/local/share/smirc/sound/bomb.wav
%attr(444, bin, bin) /usr/local/share/smirc/sound/click.wav
%attr(444, bin, bin) /usr/local/share/smirc/sound/doorbell.wav
%attr(444, bin, bin) /usr/local/share/smirc/sound/flush.wav
%attr(444, bin, bin) /usr/local/share/smirc/sound/getlife.wav
%attr(444, bin, bin) /usr/local/share/smirc/sound/goodevening.wav
%attr(444, bin, bin) /usr/local/share/smirc/sound/lagsux.wav
%attr(444, bin, bin) /usr/local/share/smirc/sound/meepmeep.wav
%attr(444, bin, bin) /usr/local/share/smirc/sound/ringing.wav
%attr(444, bin, bin) /usr/local/share/smirc/sound/scream.wav
%attr(444, bin, bin) /usr/local/share/smirc/sound/sonar.wav
%attr(444, bin, bin) /usr/local/share/smirc/sound/startup.wav
%attr(444, bin, bin) /usr/local/share/smirc/sound/swish.wav
%attr(444, bin, bin) /usr/local/share/smirc/sound/trustno1.wav
